import 'package:fis_measure/interfaces/process/items/terms.dart';
import 'package:fis_measure/process/primitives/ray.dart';
import 'package:vid/us/vid_us_unit.dart';

import 'calculator.dart';

class RayDepthCal extends Calculator<Ray, double> {
  RayDepthCal(Ray ref) : super(ref);

  @override
  void calculate() {
    if (ref.feature == null) return;

    final feature = ref.feature!;
    for (var output in ref.meta.outputs) {
      if (output.name == MeasureTerms.Angle) {
        var value = feature.angle;
        feature.updateFloatValue(output, value, VidUsUnit.degree);
      }
    }
  }
}
