import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/interfaces/process/items/terms.dart';
import 'package:fis_measure/interfaces/process/items/types.dart';
import 'package:fis_measure/view/measure/measure_tool.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:vid/us/vid_us_unit.dart';

/// 颈动脉测量项页面（继承自 测量项页面）
class CarotidLeftSiderSelectMeasure extends LeftSiderSelectMeasure {
  const CarotidLeftSiderSelectMeasure({Key? key}) : super(key: key);

  @override
  FState<LeftSiderSelectMeasure> createState() =>
      _CarotidLeftSiderSelectMeasure();
}

class _CarotidLeftSiderSelectMeasure extends LeftSiderSelectMeasureState {
  // late final measure3DViewController = Get.find<Measure3DViewController>();

  @override
  void initState() {
    WidgetsBinding.instance.addPostFrameCallback((call) {
      measureData.curItemMetaList = carotidMeasureApplicationList;
    });
    super.initState();
  }
}

/// 写死的颈动脉测量项
List<ItemMeta> carotidMeasureApplicationList = [
  ItemMeta(
    MeasureTypes.Distance,
    measureType: MeasureTypes.Distance,
    description: MeasureTypes.Distance,
    briefAnnotation: "D",
    outputs: [
      ItemOutputMeta(MeasureTypes.Distance, "Distance", VidUsUnit.cm),
    ],
  ),
  ItemMeta(
    MeasureTerms.Area,
    measureType: MeasureTypes.AreaPerimeterTrace,
    description: MeasureTerms.Area,
    briefAnnotation: MeasureTerms.Area,
    outputs: [
      ItemOutputMeta(MeasureTerms.Area, "Area", VidUsUnit.cm2),
    ],
  ),

  ItemMeta(
    MeasureTerms.Stenosis,
    measureType: MeasureTypes.StenosisTwoDistance,
    description: MeasureTerms.Stenosis,
    outputs: [
      ItemOutputMeta(MeasureTerms.Stenosis, "%Stenosis", VidUsUnit.percent),
    ],
    childItems: [
      ItemMeta(
        "D1",
        description: "D1",
        measureType: MeasureTypes.Distance,
        outputs: [
          ItemOutputMeta("Distance", "Distance", VidUsUnit.cm),
        ],
      ),
      ItemMeta(
        "D2",
        description: "D2",
        measureType: MeasureTypes.Distance,
        outputs: [
          ItemOutputMeta("Distance", "Distance", VidUsUnit.cm),
        ],
      ),
    ],
  ),
  // '%Stenosis',
  ItemMeta(
    MeasureTerms.AntCCA_IMT,
    description: MeasureTerms.AntCCA_IMT,
    measureType: MeasureTypes.AntCCA_IMT,
    outputs: [
      ItemOutputMeta(MeasureTerms.AntCCA_IMT, "", VidUsUnit.cm),
    ],
  ),
  ItemMeta(
    MeasureTerms.PostCCA_IMT,
    description: MeasureTerms.PostCCA_IMT,
    measureType: MeasureTypes.PostCCA_IMT,
    outputs: [
      ItemOutputMeta(MeasureTerms.PostCCA_IMT, "", VidUsUnit.cm),
    ],
  ),
  ItemMeta(
    MeasureTerms.BothCCA_IMT,
    description: MeasureTerms.BothCCA_IMT,
    measureType: MeasureTypes.BothCCA_IMT,
    outputs: [
      ItemOutputMeta(MeasureTerms.BothCCA_IMT, "", VidUsUnit.cm),
    ],
  ),
  ItemMeta(
    MeasureTerms.PlaqueDetection,
    description: MeasureTerms.PlaqueDetection,
    measureType: MeasureTypes.PlaqueDetection,
    outputs: [
      ItemOutputMeta(MeasureTerms.PlaqueDetection, "", VidUsUnit.cm2),
    ],
  ),
  ItemMeta(
    MeasureTerms.IntimaDetection,
    description: MeasureTerms.IntimaDetection,
    measureType: MeasureTypes.IntimaDetection,
    outputs: [
      ItemOutputMeta(MeasureTerms.IntimaDetection, "", VidUsUnit.cm2),
    ],
  ),
];
